cURL
curl "https://api.phrase.com/v2/projects/:project_id/styleguides/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase styleguides show \
--project_id <project_id> \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/styleguides/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/styleguides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"title": "My Style Guide",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"public_url": "https://phrase.com/styleguide/my-project/26f065cf597be340",
"audience": "customer-facing",
"target_audience": "teenager",
"grammatical_person": "first_person_singular",
"vocabulary_type": "technical",
"business": "We are a travel site that helps customers find the best hotels and flights.",
"company_branding": "ACME Inc. should never be translated.",
"formatting": "Never use capital letters",
"glossary_terms": "Apartment, cabin, loft",
"grammar_consistency": "",
"literal_translation": "Neutral",
"overall_tone": "Tone should be fun and light",
"samples": "http://www.myexample.com/my/document/path/to/samples.pdf"
}Style guides
Get a single style guide
Get details on a single style guide.
GET
/
projects
/
{project_id}
/
styleguides
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/styleguides/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase styleguides show \
--project_id <project_id> \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/styleguides/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/styleguides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"title": "My Style Guide",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"public_url": "https://phrase.com/styleguide/my-project/26f065cf597be340",
"audience": "customer-facing",
"target_audience": "teenager",
"grammatical_person": "first_person_singular",
"vocabulary_type": "technical",
"business": "We are a travel site that helps customers find the best hotels and flights.",
"company_branding": "ACME Inc. should never be translated.",
"formatting": "Never use capital letters",
"glossary_terms": "Apartment, cabin, loft",
"grammar_consistency": "",
"literal_translation": "Neutral",
"overall_tone": "Tone should be fun and light",
"samples": "http://www.myexample.com/my/document/path/to/samples.pdf"
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Response
OK
Was this page helpful?
⌘I